// gnome.xonotic.in.ua

models/mapobjects/baph/baphomet_gold
{
	{
		map textures/sfx/firewalla.tga
		tcmod scroll 0.1 1
		rgbgen identity
	}
	{
		map models/mapobjects/baph/baphomet_gold.tga
		blendfunc blend
		rgbgen vertex
	}
}

models/mapobjects/gratelamp/gratetorch2b
{
	cull disable
	{
		map models/mapobjects/gratelamp/gratetorch2b.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/spotlamp/beam
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nomipmaps
	{
		map models/mapobjects/spotlamp/beam.tga
		tcmod scroll .3 0
		blendfunc add
	}
}

models/mapobjects/spotlamp/spotlamp
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/spotlamp/spotlamp.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/spotlamp/spotlamp_l
{
	cull disable
	q3map_surfacelight 200
	{
		map models/mapobjects/spotlamp/spotlamp_l.tga
		rgbgen identity
	}
}

models/mapobjects/timlamp/timlamp
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/timlamp/timlamp.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

noshader
{
	surfaceparm trans
	surfaceparm nomarks
	cull none
	{
		map noshader.tga
		tcmod scale 1.0 1.0
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen identity
	}
}

textures/ad_content/2x1
{
	qer_editorimage textures/ad_content/ad2x1.tga
	nopicmip
	{
		map textures/ad_content/ad2x1.tga
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/ad_content/2x1_trans_sfx
{
	qer_editorimage textures/ad_content/ad2x1.tga
	surfaceparm nonsolid
	nopicmip
	{
		map textures/ad_content/ad2x1.tga
		rgbgen wave triangle 0.44 0.12 0 0.8
		blendfunc add
	}
	{
		map textures/ad_content/ad2x1.tga
		rgbgen wave triangle 0.05 0.05 1 2.2
		blendfunc add
		tcmod scale 0.98 0.98
	}
	{
		map textures/ad_content/adbrightoverlay.tga
		rgbgen wave sin .12 0.05 0 2
		tcmod scroll 1 0.2
		blendfunc add
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
		rgbgen wave sin .13 0 0 0
		tcmod scroll 2 2
	}
	{
		map textures/sfx/zap_scrollblue.tga
		blendfunc add
		rgbgen wave sin .05 0.05 0 4
		tcmod scroll 0 1
	}
	{
		map textures/ad_content/adbrightglow.tga
		rgbgen wave sin .17 0.05 0 1.7
		blendfunc add
	}
}

textures/base_floor/proto_rustygrate
{
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/base_floor/proto_rustygrate.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_floor/rusty_pentagrate
{
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/base_floor/rusty_pentagrate.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_light/wsupprt1_12
{
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/wsupprt1_12.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_light/wsupprt1_12.blend.tga
		rgbgen wave sin 0.5 0.5 1 1
		blendfunc add
	}
}

textures/base_support/x_support2
{
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/base_support/x_support2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/base_trim/pewter_shiny2
{
	qer_editorimage textures/base_trim/pewter_shiney.tga
	{
		map textures/base_trim/pewter_shiney.tga
		rgbgen identity
	}
	{
		map textures/effects/tinfx_alphatest.tga
		blendfunc blend
		tcgen environment
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_trim/wires02
{
	cull disable
	surfaceparm nonsolid
	{
		map textures/base_trim/wires02.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/donotenter
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm donotenter
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/gothic_block/blocks11b
{
	{
		map textures/gothic_block/blocks11b.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_rock.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale .1 .1
		detail
	}
}

textures/gothic_block/blocks18d
{
	{
		map textures/gothic_block/blocks18d.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_stone.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale .1 .1
		detail
	}
}

textures/gothic_door/door02_i_ornate5_fin
{
	qer_editorimage textures/gothic_door/door02_i_ornate5_fin.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_door/door02_i_ornate5_fin.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
}

textures/gothic_floor/goopq1metal7_98e
{
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_floor/goopq1metal7_98e.tga
		blendfunc filter
	}
}

textures/gothic_floor/metalbridge06
{
	{
		map textures/gothic_floor/metalbridge06.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_met.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 8 8
		detail
	}
}

textures/gothic_floor/metalbridge06broke
{
	{
		map textures/gothic_floor/metalbridge06broke.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_met.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 8 8
		detail
	}
}

textures/gothic_floor/metalbridge06brokeb
{
	{
		map textures/sfx/kenelectric.tga
		tcmod scale 2 2
		tcmod turb 0 .2 0 .3
		tcmod scroll 3 5
		rgbgen identity
	}
	{
		map textures/gothic_floor/metalbridge06brokeb.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/gothic_floor/q1metal7_99
{
	{
		map textures/gothic_floor/q1metal7_99.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_conc.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 8 8
		detail
	}
}

textures/gothic_floor/xq1metalbig_ow
{
	{
		map textures/gothic_floor/xq1metalbig_ow.tga
		rgbgen identity
	}
	{
		map textures/sfx/specular.tga
		tcgen environment
		tcmod scale 3 3
		tcmod turb 0 .25 0 .05
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/gothic_floor/xq1metalbig_ow.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/gothic_light/gothic_light3_1k
{
	qer_editorimage textures/gothic_light/gothic_light3.tga
	q3map_lightimage textures/gothic_light/gothic_light2_blend.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light2_blend.tga
		rgbgen wave sin .6 .1 .1 .1
		blendfunc gl_one gl_one
	}
}

textures/gothic_light/ironcrosslt2_2500
{
	qer_editorimage textures/gothic_light/ironcrosslt2.tga
	q3map_lightimage textures/gothic_light/ironcrosslt2.blend.tga
	q3map_surfacelight 2500
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/gothic_light/pentagram_light1_2k
{
	qer_editorimage textures/gothic_light/pentagram_light1.tga
	q3map_surfacelight 2000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/pentagram_light1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/pentagram_light1_blend.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .8 .2 0 1
	}
}

textures/gothic_light/skulllight01
{
	qer_editorimage textures/gothic_light/skulllight01.tga
	q3map_lightimage textures/gothic_light/s_light2_blend.tga
	surfaceparm nomarks
	q3map_surfacelight 300
	{
		map textures/gothic_light/skulllight01.tga
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
	{
		map textures/gothic_light/s_light2_blend.tga
		blendfunc add
		rgbgen wave sin 0.25 0.25 0 .5
	}
}

textures/gothic_trim/baseboard10_f
{
	{
		map textures/gothic_trim/baseboard10_f.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_met.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 8 8
		detail
	}
}

textures/gothic_trim/chain
{
	cull disable
	surfaceparm alphashadow
	surfaceparm nonsolid
	{
		map textures/gothic_trim/chain.tga
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/gothic_trim/metalsupport4i
{
	{
		map textures/gothic_trim/metalsupport4i.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_met.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 8 8
		detail
	}
}

textures/gothic_trim/metalsupport4j_trans
{
	qer_editorimage textures/gothic_trim/metalsupport4j.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_trim/metalsupport4j.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/gothic_trim/pitted_rust
{
	{
		map textures/evil2_basemetal/mtl_rstb.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
}

textures/gothic_trim/pitted_rust3
{
	{
		map textures/gothic_trim/pitted_rust3.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_met.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 8 8
		detail
	}
}

textures/gothic_trim/pitted_rust3_trans
{
	qer_editorimage textures/gothic_trim/pitted_rust3.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_trim/pitted_rust3.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/gothic_wall/iron01_m
{
	qer_editorimage textures/gothic_wall/iron01_m.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_wall/iron01_m.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
}

textures/gothic_wall/iron01_ndark
{
	qer_editorimage textures/gothic_wall/iron01_ndark.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_wall/iron01_ndark.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
}

textures/sfx/bounce_xq1metalbig
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 400
	{
		map textures/sfx/bounce_xq1metalbig.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/sfx/flame1dark
{
	qer_editorimage textures/sfx/flame1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 2000
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/flame1side
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/flame2
{
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 5500
	qer_editorimage textures/sfx/flame1.tga
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/fog_intel
{
	qer_editorimage textures/sfx/fog_timdm1.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( .75 .38 0 ) 800
}

textures/sfx/metalbridge06_bounce
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 400
	{
		map textures/sfx/metalbridge06_bounce.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/sfx/ntrl_techfloor_kc
{
	surfaceparm metalsteps
	surfaceparm alphashadow
	surfaceparm nomarks
	nopicmip
	polygonoffset
	sort 6
	novlcollapse
	qer_editorimage textures/sfx/techfloor_kc.tga
	{
		clampmap textures/sfx/zzztntrl_kc.tga
		alphafunc ge128
		tcmod rotate 360
		rgbgen wave sin .8 .2 0 2
		depthwrite
	}
	{
		clampmap textures/sfx/techfloor2_kc.tga
		blendfunc blend
		tcmod rotate 180
		depthfunc equal
		tcmod stretch sin .8 0.1 0 .4
		rgbgen identity
	}
	{
		map textures/sfx/techfloor_kc.tga
		blendfunc blend
		depthfunc equal
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
		rgbgen identity
	}
	{
		map textures/sfx/techfloor_kc_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/sfx/q3dm14fog
{
	qer_editorimage textures/sfx/hellfog.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nodrop
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_surfacelight 100
	fogparms ( .55 .11 .1 ) 256
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

textures/skies/toxicskytim_dm9
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun .980 .835 .3 100 25 65
	q3map_surfacelight 80
	qer_editorimage textures/skies/toxicsky.tga
	skyparms env/azlcmb1_bin/eezabad - -
}

textures/skin/skin5_trans
{
	qer_editorimage textures/skin/skin5.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/skin/skin5.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/stone/pjrock17
{
	{
		map textures/evil4_walls/d_stone.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
}

